package botIO

import (
	tgbotapi "github.com/go-telegram-bot-api/telegram-bot-api/v5"
	"log"
	"watn3y/bloaterbotv3/config"
)

func Authenticate() (tgbotapi.UpdatesChannel, *tgbotapi.BotAPI) {

	b, err := tgbotapi.NewBotAPI(config.BotConfig.APIToken)

	if err != nil {
		log.Panicf("Failed to connect Bot to Telegram: %v\n", err)
	}

	b.Debug = config.BotConfig.DebugMode

	u := tgbotapi.NewUpdate(0)
	u.Timeout = 60
	log.Printf("[bot] Authorized on account %s", b.Self.UserName)

	return b.GetUpdatesChan(u), b
}
