package botIO

import (
	tgbotapi "github.com/go-telegram-bot-api/telegram-bot-api/v5"
	"log"
)

func SendMessage(message tgbotapi.MessageConfig, bot *tgbotapi.BotAPI) (result tgbotapi.Message) {
	result, err := bot.Send(message)
	if err != nil {
		log.Printf("Failed to send message: %v\n", err)
		return
	}
	log.Printf("[bot] Sent Message: %s", message.Text)
	return result
}

func EditMessage(message tgbotapi.EditMessageTextConfig, bot *tgbotapi.BotAPI) (result tgbotapi.Message) {
	result, err := bot.Send(message)
	if err != nil {
		log.Printf("Failed to send message: %v\n", err)
		return
	}
	log.Printf("[bot] Edited Message: %s", message.Text)
	return result
}

func SendVideo(message tgbotapi.VideoConfig, bot *tgbotapi.BotAPI) (result tgbotapi.Message) {
	result, err := bot.Send(message)
	if err != nil {
		log.Printf("Failed to send message: %v\n", err)
		return
	}
	log.Printf("[bot] Sent Video: %s", message.File)
	return result
}

func SendPhoto(message tgbotapi.PhotoConfig, bot *tgbotapi.BotAPI) (result tgbotapi.Message) {
	result, err := bot.Send(message)
	if err != nil {
		log.Printf("Failed to send message: %v\n", err)
		return
	}
	log.Printf("[bot] Sent Photo: %s", message.File)
	return result
}

func SendSticker(sticker tgbotapi.StickerConfig, bot *tgbotapi.BotAPI) (result tgbotapi.Message) {
	result, err := bot.Send(sticker)
	if err != nil {
		log.Printf("Failed to send Sticker: %v\n", err)
		return
	}
	log.Printf("[bot] Sent Sticker")
	return result
}
